package common.biome;

import common.init.Blocks;
import common.rng.Random;
import common.rng.WeightedList;
import common.util.BlockPos;
import common.world.WorldServer;

public class BiomeExterminated extends Biome {
	public BiomeExterminated(int id) {
		super(id);
		this.topBlock = Blocks.air.getState();
		this.fillerBlock = Blocks.air.getState();
	}

	protected void addMobs(WeightedList<RngSpawn> mobs) {
	}

	public void decorate(WorldServer worldIn, Random rand, BlockPos pos) {
	}

	public int getSkyColor() {
		return 0x101010;
	}

	public int getFogColor() {
		return 0x303030;
	}

	public int getCloudColor() {
		return 0x000000;
	}
}
