package common.biome;

import common.entity.animal.EntitySheep;
import common.entity.npc.EntitySpirit;
import common.init.Blocks;
import common.rng.WeightedList;

public class BiomeSnowLand extends Biome
{
    public BiomeSnowLand(int id)
    {
        super(id);
        this.topBlock = Blocks.snow.getState();
        this.fillerBlock = Blocks.snow.getState();
        this.mushroomsPerChunk = -1;
    }
    
    protected void addMobs(WeightedList<RngSpawn> mobs) {
        mobs.add(new RngSpawn(EntitySheep.class, 50, 4, 4));
        mobs.add(new RngSpawn(EntitySpirit.class, 10, 1, 1));
    }
}
