package common.block;

import common.rng.Random;
import common.util.BlockPos;
import common.world.State;
import common.world.World;
import common.world.WorldServer;

public interface IGrowable
{
    boolean canGrow(World worldIn, BlockPos pos, State state, boolean isClient);

    boolean canUseBonemeal(World worldIn, Random rand, BlockPos pos, State state);

    void grow(WorldServer worldIn, Random rand, BlockPos pos, State state);
}
