package common.worldgen.structure;

import common.rng.Random;
import common.world.WorldServer;

public class StructureMineshaftStart extends StructureStart
{
    public StructureMineshaftStart()
    {
    }

    public StructureMineshaftStart(WorldServer worldIn, Random rand, int chunkX, int chunkZ)
    {
        super(chunkX, chunkZ);
        StructureMineshaft.Room structuremineshaftpieces$room = new StructureMineshaft.Room(0, rand, (chunkX << 4) + 2, (chunkZ << 4) + 2);
        this.components.add(structuremineshaftpieces$room);
        structuremineshaftpieces$room.buildComponent(structuremineshaftpieces$room, this.components, rand);
        this.updateBoundingBox();
        this.markAvailableHeight(worldIn, rand, 10);
    }
}
