package server.command.commands;

import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;
import server.command.RunException;
import server.network.Player;

public class CommandKick extends Command {
	public CommandKick() {
		super("kick");
		
		this.addPlayer("player", false);
	}
	
	public void exec(CommandEnvironment env, Executor exec, Player player) {
		if(!(exec instanceof Player))
			throw new RunException("Dieser Befehl kann nur von Spielern ausgeführt werden");
		else if(player == exec)
			throw new RunException("Du kannst nicht dich nicht selbst vom Server werfen");
		else if(player.getAdmin())
			throw new RunException("%s ist ein Admin", player.getUser());
		player.disconnect();
		exec.logConsole("%s wurde vom Server geworfen", player.getUser());
	}
}
